Bug 842067 - Review Request: will-crash - Set of crashing executables written in various languages
Review Request: will-crash - Set of crashing executables written in various l...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 11:42 EDT by Richard Marko
Modified: 2016-01-31 21:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 20:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Marko 2012-07-21 11:42:54 EDT
Spec URL: http://rmarko.fedorapeople.org/packages/will-crash.spec
SRPM URL: http://rmarko.fedorapeople.org/packages/will-crash-0.1-1.fc17.src.rpm
Description: sample executables for testing crash/exception handling tools
Fedora Account System Username: rmarko
Comment 1 Mario Blättermann 2012-07-22 11:58:32 EDT
The scratch build fails for F17:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4321055
Mock cannot run aclocal. That's why autoconf is insufficient here, you will also need autoconf-archive. This is a collection of useful macros for autoconf. Please add this to BuildRequires.
Comment 2 Richard Marko 2012-07-23 06:12:25 EDT
Thanks! I've added automake to BuildRequires as aclocal is part of it.

Spec URL: http://rmarko.fedorapeople.org/packages/will-crash.spec
SRPM URL: http://rmarko.fedorapeople.org/packages/will-crash-0.1-2.fc17.src.rpm
Comment 3 Mario Blättermann 2012-07-24 14:46:52 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4326349


$ rpmlint -i -v *
will-crash.i686: I: checking
will-crash.i686: W: spelling-error Summary(en_US) executables -> executable, executable s, executrices
The value of this tag appears to be misspelled. Please double-check.

will-crash.i686: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
The value of this tag appears to be misspelled. Please double-check.

will-crash.i686: I: checking-url http://github.com/sorki/will-crash (timeout 10 seconds)
will-crash.i686: W: no-manual-page-for-binary will_python3_raise
Each executable in standard binary directories should have a man page.

will-crash.i686: W: no-manual-page-for-binary will_segfault
Each executable in standard binary directories should have a man page.

will-crash.i686: W: no-manual-page-for-binary will_abort
Each executable in standard binary directories should have a man page.

will-crash.i686: W: no-manual-page-for-binary will_ruby_raise
Each executable in standard binary directories should have a man page.

will-crash.i686: W: no-manual-page-for-binary will_python_raise
Each executable in standard binary directories should have a man page.

will-crash.src: I: checking
will-crash.src: W: spelling-error Summary(en_US) executables -> executable, executable s, executrices
The value of this tag appears to be misspelled. Please double-check.

will-crash.src: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
The value of this tag appears to be misspelled. Please double-check.

will-crash.src: I: checking-url http://github.com/sorki/will-crash (timeout 10 seconds)
will-crash.src: I: checking-url https://github.com/sorki/will-crash/tarball/v0.1/will-crash-v0.1.tar.gz (timeout 10 seconds)
will-crash.x86_64: I: checking
will-crash.x86_64: W: spelling-error Summary(en_US) executables -> executable, executable s, executrices
The value of this tag appears to be misspelled. Please double-check.

will-crash.x86_64: W: spelling-error %description -l en_US executables -> executable, executable s, executrices
The value of this tag appears to be misspelled. Please double-check.

will-crash.x86_64: I: checking-url http://github.com/sorki/will-crash (timeout 10 seconds)
will-crash.x86_64: W: no-manual-page-for-binary will_python3_raise
Each executable in standard binary directories should have a man page.

will-crash.x86_64: W: no-manual-page-for-binary will_segfault
Each executable in standard binary directories should have a man page.

will-crash.x86_64: W: no-manual-page-for-binary will_abort
Each executable in standard binary directories should have a man page.

will-crash.x86_64: W: no-manual-page-for-binary will_ruby_raise
Each executable in standard binary directories should have a man page.

will-crash.x86_64: W: no-manual-page-for-binary will_python_raise
Each executable in standard binary directories should have a man page.

will-crash-debuginfo.i686: I: checking
will-crash-debuginfo.i686: I: checking-url http://github.com/sorki/will-crash (timeout 10 seconds)
will-crash-debuginfo.x86_64: I: checking
will-crash-debuginfo.x86_64: I: checking-url http://github.com/sorki/will-crash (timeout 10 seconds)
will-crash.spec: I: checking-url https://github.com/sorki/will-crash/tarball/v0.1/will-crash-v0.1.tar.gz (timeout 10 seconds)
5 packages and 1 specfiles checked; 0 errors, 16 warnings.


One ignorable spelling error, warnings about non-existent manual pages, no other issues which would be worth to think about.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv3
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    11a7b063e502b0a57c09c27a66627b35  will-crash-v0.1.tar.gz
    11a7b063e502b0a57c09c27a66627b35  will-crash-v0.1.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
- See Koji build above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[.] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[.] SHOULD: The reviewer should test that the package functions as described.
    Works fine on my system (as far we can speak about work)
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.
    No man pages available.

----------------

PACKAGE APPROVED

----------------
Comment 4 Richard Marko 2012-07-25 08:41:30 EDT
Thanks for the review!

I've did one more update - removing AM_PATH_PYTHON as this package doesn't need python to be built.

Spec URL: http://rmarko.fedorapeople.org/packages/will-crash.spec
SRPM URL: http://rmarko.fedorapeople.org/packages/will-crash-0.2-1.fc17.src.rpm


New Package SCM Request
=======================
Package Name: will-crash
Short Description: Set of crashing executables written in various languages
Owners: rmarko
Branches: f16 f17 el6
InitialCC: rmarko
Comment 5 Gwyn Ciesla 2012-07-25 08:58:12 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-07-25 10:27:53 EDT
will-crash-0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/will-crash-0.2-1.fc17
Comment 7 Fedora Update System 2012-07-25 23:57:11 EDT
will-crash-0.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-08-13 20:58:51 EDT
will-crash-0.2-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Richard Marko 2014-10-03 06:35:16 EDT
Package Change Request
======================
Package Name: will-crash
New Branches: epel7
Owners: rmarko
Comment 10 Gwyn Ciesla 2014-10-07 08:05:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.